## NMAccessPoint

NMAccessPoint

## Functions

NM80211ApFlags | nm_access_point_get_flags ()
NM80211ApSecurityFlags | nm_access_point_get_wpa_flags ()
NM80211ApSecurityFlags | nm_access_point_get_rsn_flags ()
GBytes * | nm_access_point_get_ssid ()
const char * | nm_access_point_get_bssid ()
guint32 | nm_access_point_get_frequency ()
NM80211Mode | nm_access_point_get_mode ()
guint32 | nm_access_point_get_max_bitrate ()
guint8 | nm_access_point_get_strength ()
gint | nm_access_point_get_last_seen ()
GPtrArray * | nm_access_point_filter_connections ()
gboolean | nm_access_point_connection_valid ()

## Properties

gchar * | bssid | Read
NM80211ApFlags | flags | Read
guint | frequency | Read
gchar * | hw-address | Read
gint | last-seen | Read
guint | max-bitrate | Read
NM80211Mode | mode | Read
NM80211ApSecurityFlags | rsn-flags | Read
GBytes * | ssid | Read
guchar | strength | Read
NM80211ApSecurityFlags | wpa-flags | Read

## Types and Values

#define | NM_ACCESS_POINT_FLAGS
#define | NM_ACCESS_POINT_WPA_FLAGS
#define | NM_ACCESS_POINT_RSN_FLAGS
#define | NM_ACCESS_POINT_SSID
#define | NM_ACCESS_POINT_BSSID
#define | NM_ACCESS_POINT_FREQUENCY
#define | NM_ACCESS_POINT_MODE
#define | NM_ACCESS_POINT_MAX_BITRATE
#define | NM_ACCESS_POINT_STRENGTH
#define | NM_ACCESS_POINT_LAST_SEEN
#define | NM_ACCESS_POINT_HW_ADDRESS
| NMAccessPoint

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMAccessPoint

## Implemented Interfaces

NMAccessPoint implements GInitable and GAsyncInitable.

## Description

## Functions

### nm_access_point_get_flags ()

    NM80211ApFlags
    nm_access_point_get_flags (NMAccessPoint *ap);

Gets the flags of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the flags

### nm_access_point_get_wpa_flags ()

    NM80211ApSecurityFlags
    nm_access_point_get_wpa_flags (NMAccessPoint *ap);

Gets the WPA (version 1) flags of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the WPA flags

### nm_access_point_get_rsn_flags ()

    NM80211ApSecurityFlags
    nm_access_point_get_rsn_flags (NMAccessPoint *ap);

Gets the RSN (Robust Secure Network, ie WPA version 2) flags of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the RSN flags

### nm_access_point_get_ssid ()

    GBytes *
    nm_access_point_get_ssid (NMAccessPoint *ap);

Gets the SSID of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the GBytes containing the SSID, or `NULL` if the SSID is unknown.

[transfer none]

### nm_access_point_get_bssid ()

    const char *
    nm_access_point_get_bssid (NMAccessPoint *ap);

Gets the Basic Service Set ID (BSSID) of the Wi-Fi access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the BSSID of the access point. This is an internal string and must not be modified or freed.

### nm_access_point_get_frequency ()

    guint32
    nm_access_point_get_frequency (NMAccessPoint *ap);

Gets the frequency of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the frequency

### nm_access_point_get_mode ()

    NM80211Mode
    nm_access_point_get_mode (NMAccessPoint *ap);

Gets the mode of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the mode

### nm_access_point_get_max_bitrate ()

    guint32
    nm_access_point_get_max_bitrate (NMAccessPoint *ap);

Gets the maximum bit rate of the access point in kbit/s.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the maximum bit rate (kbit/s)

### nm_access_point_get_strength ()

    guint8
    nm_access_point_get_strength (NMAccessPoint *ap);

Gets the current signal strength of the access point.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the signal strength

### nm_access_point_get_last_seen ()

    gint
    nm_access_point_get_last_seen (NMAccessPoint *ap);

Returns the timestamp (in CLOCK_BOOTTIME seconds) for the last time the access point was found in scan results. A value of -1 means the access point has not been found in a scan.

#### Parameters

ap | a NMAccessPoint |

#### Returns

the last seen time in seconds

Since: 1.2

### nm_access_point_filter_connections ()

    GPtrArray *
    nm_access_point_filter_connections (NMAccessPoint *ap,
                                        const GPtrArray *connections);

Filters a given array of connections for a given NMAccessPoint object and returns connections which may be activated with the access point. Any returned connections will match the `ap` 's SSID and (if given) BSSID and other attributes like security settings, channel, etc.

To obtain the list of connections that are compatible with this access point, use `nm_client_get_connections()` and then filter the returned list for a given NMDevice using `nm_device_filter_connections()` and finally filter that list with this function.

#### Parameters

ap | an NMAccessPoint to filter connections for |
connections | an array of NMConnections to filter. | [element-type NMConnection]

#### Returns

an array of NMConnections that could be activated with the given `ap` . The array should be freed with `g_ptr_array_unref()` when it is no longer required.

[transfer container][element-type NMConnection]

### nm_access_point_connection_valid ()

    gboolean
    nm_access_point_connection_valid (NMAccessPoint *ap,
                                      NMConnection *connection);

Validates a given connection against a given Wi-Fi access point to ensure that the connection may be activated with that AP. The connection must match the `ap` 's SSID, (if given) BSSID, and other attributes like security settings, channel, band, etc.

#### Parameters

ap | an NMAccessPoint to validate `connection` against |
connection | an NMConnection to validate against `ap` |

#### Returns

`TRUE` if the connection may be activated with this Wi-Fi AP, `FALSE` if it cannot be.

## Types and Values

### NM_ACCESS_POINT_FLAGS

    #define NM_ACCESS_POINT_FLAGS       "flags"

### NM_ACCESS_POINT_WPA_FLAGS

    #define NM_ACCESS_POINT_WPA_FLAGS   "wpa-flags"

### NM_ACCESS_POINT_RSN_FLAGS

    #define NM_ACCESS_POINT_RSN_FLAGS   "rsn-flags"

### NM_ACCESS_POINT_SSID

    #define NM_ACCESS_POINT_SSID        "ssid"

### NM_ACCESS_POINT_BSSID

    #define NM_ACCESS_POINT_BSSID       "bssid"

### NM_ACCESS_POINT_FREQUENCY

    #define NM_ACCESS_POINT_FREQUENCY   "frequency"

### NM_ACCESS_POINT_MODE

    #define NM_ACCESS_POINT_MODE        "mode"

### NM_ACCESS_POINT_MAX_BITRATE

    #define NM_ACCESS_POINT_MAX_BITRATE "max-bitrate"

### NM_ACCESS_POINT_STRENGTH

    #define NM_ACCESS_POINT_STRENGTH    "strength"

### NM_ACCESS_POINT_LAST_SEEN

    #define NM_ACCESS_POINT_LAST_SEEN   "last-seen"

### NM_ACCESS_POINT_HW_ADDRESS

    #define NM_ACCESS_POINT_HW_ADDRESS  "hw-address"

### NMAccessPoint

    typedef struct _NMAccessPoint NMAccessPoint;

## Property Details

### The `“bssid”` property

      “bssid”                    gchar *

The BSSID of the access point.

Flags: Read

Default value: NULL

### The `“flags”` property

      “flags”                    NM80211ApFlags

The flags of the access point.

Flags: Read

### The `“frequency”` property

      “frequency”                guint

The frequency of the access point.

Flags: Read

Allowed values: <= 10000

Default value: 0

### The `“hw-address”` property

      “hw-address”               gchar *

Alias for “bssid”.

`NMAccessPoint:hw-address` has been deprecated since version 1.0 and should not be used in newly-written code.

use “bssid”.

Flags: Read

Default value: NULL

### The `“last-seen”` property

      “last-seen”                gint

The timestamp (in CLOCK_BOOTTIME seconds) for the last time the access point was found in scan results. A value of -1 means the access point has not been found in a scan.

Flags: Read

Allowed values: >= -1

Default value: -1

Since: 1.2

### The `“max-bitrate”` property

      “max-bitrate”              guint

The maximum bit rate of the access point in kbit/s.

Flags: Read

Default value: 0

### The `“mode”` property

      “mode”                     NM80211Mode

The mode of the access point; either "infrastructure" (a central coordinator of the wireless network allowing clients to connect) or "ad-hoc" (a network with no central controller).

Flags: Read

Default value: NM_802_11_MODE_INFRA

### The `“rsn-flags”` property

      “rsn-flags”                NM80211ApSecurityFlags

The RSN flags of the access point.

Flags: Read

### The `“ssid”` property

      “ssid”                     GBytes *

The SSID of the access point, or `NULL` if it is not known.

Flags: Read

### The `“strength”` property

      “strength”                 guchar

The current signal strength of the access point.

Flags: Read

Default value: 0

### The `“wpa-flags”` property

      “wpa-flags”                NM80211ApSecurityFlags

The WPA flags of the access point.

Flags: Read